## aeskeyfind 1.0

=== Makefile ===
CFLAGS= -Wall -O4 -std=c99
OBJS= aeskeyfind.o aes.o util.o

all: aeskeyfind

aeskeyfind: $(OBJS)
	$(CC) -o aeskeyfind $(OBJS)

clean:
	@rm -f aeskeyfind *~ \#* $(OBJS)

=== debian/changelog ===
aeskeyfind (1:1.0-7) unstable; urgency=medium

  * d/p/30_big-files-support.patch: New patch to support bigger files,
    thanks to Harry Sintonen for the patch (closes: #926786)

 -- Samuel Henrique <samueloph@debian.org>  Mon, 25 Nov 2019 23:23:14 +0000

aeskeyfind (1:1.0-6) unstable; urgency=medium

  * Bump DH level to 12
  * Update Standards-Version to 4.4.1
  * Add salsa-ci.yml
  * Change my email address to the debian one
  * Update upstream url
  * d/upstream/signing-key.asc: Remove signatures of key
  * d/changelog: Remove trailing whitespace
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update debian/* entry

 -- Samuel Henrique <samueloph@debian.org>  Sun, 24 Nov 2019 21:50:06 +0000

aeskeyfind (1:1.0-5) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * d/control: add myself as an uploader
  * Bump Standards-Version to 4.0.1

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Bump Standards-Version to 4.2.1.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 27 Aug 2018 22:14:19 +0200

aeskeyfind (1:1.0-4) unstable; urgency=medium

  * Team upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Removed a MIA uploader (solves a special case pointed by QA team).
      - Reorganize the Depends field.
      - Updated the Vcs-git field to use https instead of git.
  * debian/copyright:
      - Added rights for Samuel in packaging section.
      - Updated the packaging copyright years.
  * debian/patches/add-gcc-hardening: renamed to 10_add-gcc-hardening.patch.
  * debian/watch: changed the source to avoid future issues because the
    upstream is updating the homepage.

  [ Samuel Henrique ]
  * Bumped DH level to 10.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/patches/20_sbox-size.patch: added to fix sbox array size. Thanks to
    Michael Tautschnig <mt@debian.org>. (Closes: #692293)
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC
    hardening.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Jan 2017 23:40:40 -0200

aeskeyfind (1:1.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: fixed typos in short and long description. Thanks to
      Luca Brivio <luca.brivio@gmail.com>. (Closes: #684795)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 16 Jun 2015 23:14:45 -0300

aeskeyfind (1:1.0-2) experimental; urgency=medium

  * Team upload.
  * Updated DH level to 9.
  * debian/control:
      - Added the 'forensics' word to long description.
      - Bumped Standards-Version to 3.9.6.
      - Updated the Homepage field.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Moved the license texts to end of file.
      - Updated the 'Format' field in debian/copyright.
      - Updated the GPL-2 license text.
      - Updated the packaging copyright years.
  * debian/patches/add-gcc-hardening: added to implement hardening.
  * debian/upstream/signing-key.asc: added to allow the GPG signature check by
      uscan.
  * debian/watch:
      - Added a check to GPG signature.
      - Updated the rule to search for files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Feb 2015 14:21:21 -0300

aeskeyfind (1:1.0-1) unstable; urgency=low

  * Team upload.

  [ Daniel Baumann ]
  * Minimizing rules file.
  * Using debhelper install file rather than adding install target in upstream
    Makefile.

  [ Julien Valroff ]
  * Fix version number (add an epoch to ensure the new version number is
    higher than the previously uploaded package)
  * Bump debhelper compat to 8
  * Bump standards version to 3.9.2 (no changes needed)
  * Switch to 3.0 (quilt) source package format
  * Add watch file
  * Add manpage
  * Fix VCS* fields
  * Move to `utils' section as per the override
  * Update copyright file as per current DEP-5
  * Remove useless lintian override: use Team Upload entry
  * Update short description and complete long description

 -- Julien Valroff <julien@debian.org>  Sat, 23 Jul 2011 13:32:29 +0200

aeskeyfind (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #495416)
  * Adjusted the Makefile to add $DESTDIR

 -- Jacob Appelbaum <jacob@appelbaum.net>  Thu, 25 Jun 2009 12:44:00 -0300

=== debian/control ===
Source: aeskeyfind
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://citp.princeton.edu/our-work/memory/code/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/aeskeyfind
Vcs-Git: https://salsa.debian.org/pkg-security-team/aeskeyfind.git

Package: aeskeyfind
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool for locating AES keys in a captured memory image
 This program illustrates automatic techniques for locating 128-bit and
 256-bit AES keys in a captured memory image.
 .
 The program uses various algorithms and also performs a simple entropy
 test to filter out blocks that are not keys.  It counts the number of
 repeated bytes and skips blocks that have too many repeats.
 .
 This method works even if several bits of the key schedule have been
 corrupted due to memory decay.
 .
 This package is useful to several activities, as forensics investigations.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://citp.princeton.edu/our-work/memory/code .*/aeskeyfind-(\d\S+)\.tar\.(?:bz2|gz|xz)
